PHP Manual
Prev |  | Next

# readgzfile

(PHP 3, PHP 4, PHP 5)

readgzfile -- Output a gz-file

## Description

int readgzfile ( string filename [, int use_include_path] )

Reads a file, decompresses it and writes it to standard output.

readgzfile() can be used to read a file which is not in gzip format; in this case readgzfile() will directly read from the file without decompression.

## Parameters

filename

  The file name. This file will be opened from the filesystem and its contents written to standard output.

use_include_path

  You can set this optional parameter to 1, if you want to search for the file in the include_path too.

## Return Values

Returns the number of (uncompressed) bytes read from the file. If an error occurs, `FALSE` is returned and unless the function was called as @readgzfile, an error message is printed.

## See Also

gzpassthru()
gzfile()
gzopen()

Prev | Home | Next
gzwrite | Up | zlib_get_coding_type